Your submission was sent successfully! Close

CVE-2009-2624

Published: 20 January 2010

The huft_build function in inflate.c in gzip before 1.3.13 creates a hufts (aka huffman) table that is too small, which allows remote attackers to cause a denial of service (application crash or infinite loop) or possibly execute arbitrary code via a crafted archive. NOTE: this issue is caused by a CVE-2006-4334 regression.

Priority

Medium

Status

Package Release Status
gzip
Launchpad, Ubuntu, Debian
dapper
Released (1.3.5-12ubuntu0.3)
hardy
Released (1.3.12-3.2ubuntu0.1)
intrepid
Released (1.3.12-6ubuntu2.8.10.1)
jaunty
Released (1.3.12-6ubuntu2.9.04.1)
karmic Not vulnerable
(1.3.12-8ubuntu1)
upstream
Released (1.3.12-8)